# makefile for cba-gtk
CXX	:= gcc
CXXFLAGS := `wx-config --cflags` -Wall -g -Os 
LDFLAGS := `wx-config --libs` -s -lstdc++

SRCDIR=$(CURDIR)

SOURCE = \
$(SRCDIR)/cbeam_class.cpp \
$(SRCDIR)/cbaGUI_drawings.cpp \
$(SRCDIR)/cbaGUI_dialogs.cpp \
$(SRCDIR)/cbaGUI.cpp 

OBJECTS = $(SOURCE:.cpp=.o)

cba-gtk: $(OBJECTS)
	$(CXX) $(OBJECTS) $(LDFLAGS) -o cba-gtk

%.o: %.cxx 
	$(CXX) $(CXXFLAGS) -c $(SOURCE) -o $(OBJECTS)

clean:
	rm $(OBJECTS)

install: 
	install cba-gtk $(DESTDIR)/usr/bin
	
